Loading...
Searching...
No Matches
Base64 encoding/decoding functions

## Functions

svn_stream_t * | svn_base64_encode2 (svn_stream_t *output, svn_boolean_t break_lines, apr_pool_t *pool)
| Return a writable generic stream which will encode binary data in base64 format and write the encoded data to output.
svn_stream_t * | svn_base64_encode (svn_stream_t *output, apr_pool_t *pool)
| Same as svn_base64_encode2, but with break_lines always TRUE.
svn_stream_t * | svn_base64_decode (svn_stream_t *output, apr_pool_t *pool)
| Return a writable generic stream which will decode base64-encoded data and write the decoded data to output.
const svn_string_t * | svn_base64_encode_string2 (const svn_string_t *str, svn_boolean_t break_lines, apr_pool_t *pool)
| Encode an `svn_stringbuf_t` into base64.
const svn_string_t * | svn_base64_encode_string (const svn_string_t *str, apr_pool_t *pool)
| Same as svn_base64_encode_string2, but with break_lines always TRUE.
const svn_string_t * | svn_base64_decode_string (const svn_string_t *str, apr_pool_t *pool)
| Decode an `svn_stringbuf_t` from base64.
svn_stringbuf_t * | svn_base64_from_md5 (unsigned char digest[], apr_pool_t *pool)
| Return a base64-encoded checksum for finalized digest.

## Detailed Description

## Function Documentation

## svn_base64_decode()

svn_stream_t * svn_base64_decode | ( | svn_stream_t * | output,
|  | apr_pool_t * | pool )

Return a writable generic stream which will decode base64-encoded data and write the decoded data to output.

The stream is allocated in pool.

## svn_base64_decode_string()

const svn_string_t * svn_base64_decode_string | ( | const svn_string_t * | str,
|  | apr_pool_t * | pool )

Decode an `svn_stringbuf_t` from base64.

A simple interface for decoding base64 data assuming we have all of it present at once. The returned string will be allocated from `pool`.

References SVN_DEPRECATED.

## svn_base64_encode()

svn_stream_t * svn_base64_encode | ( | svn_stream_t * | output,
|  | apr_pool_t * | pool )

Same as svn_base64_encode2, but with break_lines always TRUE.

Deprecated
  Provided for backward compatibility with the 1.9 API.

## svn_base64_encode2()

svn_stream_t * svn_base64_encode2 | ( | svn_stream_t * | output,
|  | svn_boolean_t | break_lines,
|  | apr_pool_t * | pool )

Return a writable generic stream which will encode binary data in base64 format and write the encoded data to output.

If break_lines is true, newlines will be inserted periodically; otherwise the output stream will only consist of base64 encoding characters. Be sure to close the stream when done writing in order to squeeze out the last bit of encoded data. The stream is allocated in pool.

Since
  New in 1.10.

References SVN_DEPRECATED.

## svn_base64_encode_string()

const svn_string_t * svn_base64_encode_string | ( | const svn_string_t * | str,
|  | apr_pool_t * | pool )

Same as svn_base64_encode_string2, but with break_lines always TRUE.

Deprecated
  Provided for backward compatibility with the 1.5 API.

## svn_base64_encode_string2()

const svn_string_t * svn_base64_encode_string2 | ( | const svn_string_t * | str,
|  | svn_boolean_t | break_lines,
|  | apr_pool_t * | pool )

Encode an `svn_stringbuf_t` into base64.

A simple interface for encoding base64 data assuming we have all of it present at once. If break_lines is true, newlines will be inserted periodically; otherwise the string will only consist of base64 encoding characters. The returned string will be allocated from pool.

Since
  New in 1.6.

References SVN_DEPRECATED.

## svn_base64_from_md5()

svn_stringbuf_t * svn_base64_from_md5 | ( | unsigned char | digest[],
|  | apr_pool_t * | pool )

Return a base64-encoded checksum for finalized digest.

digest contains `APR_MD5_DIGESTSIZE` bytes of finalized data. Allocate the returned checksum in pool.

Deprecated
  Provided for backward compatibility with the 1.5 API.